=== debian/changelog ===
nfs-ganesha (2.7.0.2-1) unstable; urgency=medium

  * New upstream version 2.7.0.2

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 05 Oct 2018 17:17:34 +0200

nfs-ganesha (2.7.0-1) unstable; urgency=medium

  * fix installation path of nfs-ganesha-config.sh (closes: #903662)
  * New upstream version 2.7.0

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 20 Sep 2018 10:05:47 +0200
